Retrieve portfolio overview
Returns account-scoped portfolio overview metrics and interval buckets.
x-api-key<token>
In: header
Query Parameters
startDate?string
endDate?string
source?string
Default
"all"Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/portfolio" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "intervals": { "oneDay": [ { "periodStart": "string", "periodEnd": "string", "volume": 0, "openInterest": 0, "winningTradesCount": 0, "winningTradesUsd": 0, "losingTradesCount": 0, "losingTradesUsd": 0 } ], "oneWeek": [ { "periodStart": "string", "periodEnd": "string", "volume": 0, "openInterest": 0, "winningTradesCount": 0, "winningTradesUsd": 0, "losingTradesCount": 0, "losingTradesUsd": 0 } ], "oneMonth": [ { "periodStart": "string", "periodEnd": "string", "volume": 0, "openInterest": 0, "winningTradesCount": 0, "winningTradesUsd": 0, "losingTradesCount": 0, "losingTradesUsd": 0 } ], "oneYear": [ { "periodStart": "string", "periodEnd": "string", "volume": 0, "openInterest": 0, "winningTradesCount": 0, "winningTradesUsd": 0, "losingTradesCount": 0, "losingTradesUsd": 0 } ], "all": [ { "periodStart": "string", "periodEnd": "string", "volume": 0, "openInterest": 0, "winningTradesCount": 0, "winningTradesUsd": 0, "losingTradesCount": 0, "losingTradesUsd": 0 } ] }, "overall": { "totalWinningTradesCount": 0, "totalLosingTradesCount": 0, "totalWinningUsd": 0, "totalLosingUsd": 0, "currentOpenInterest": 0, "currentTotalVolume": 0, "unrealizedPnl": 0, "realizedPnl": 0, "totalFees": 0, "totalTrades": 0 }}